/* ===== 分页 ===== */
.pagination {
    display: flex;
    justify-content: center;
    padding: 5px;
    margin: 30px auto;
    max-width: 1000px;
    margin-bottom: 30px;
}

.page-navigator {
    list-style: none;
    margin: 0;
    padding: 0; 
    display: flex;
    gap: 12px;
    align-items: center;
}

.page-navigator li {
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-navigator li a {
    text-decoration: none;
    color: #6d5452;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    box-shadow: 0 0px 20px rgba(0,0,0,0.35);

    transition: 
        background-color 0.3s ease,
        color 0.3s ease;
}

.page-navigator li a:hover {
    color: #fff;
    background: #503E3C;
}

.page-navigator li.current a {
    color: #503E3C;
    font-weight: bold;
}

.page-navigator li.current a:hover {
    color: #fff;
    background: #503E3C;
}